> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entitlements

Retrieves a list of filtered Entitlements. The list must be constrained to a particular [Account](Accounts) (or Account family), or by Entitlement **id**.

**Note:**

Paging has not been implemented for the List Entitlements endpoint because there is no unique constraint on Entitlement ids.

## HTTP Request

`GET https://api.vindicia.com/entitlements`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Type | Description | Required |
| - | - | - | - | - |
| account | none | String | Limit the entitlement list to a specified account **id** or **vid** - if specified, all Entitlements associated with that Account appear. | Either account or entitlement must be provided. |
| include\_children | false | boolean | Indicates whether or not to return any existing child accounts’ entitlements when an account is specified. | No |
| entitlement | none | string | Limit the entitlement list to the specified entitlement id. | Either account or entitlement must be provided. |
| show\_all | false | boolean | Indicates whether or not to display all the relevant entitlements when an account is specified. | No |

## Accepts

None.

## Returns

JSON - A *list* array of [Entitlements](Entitlements) filtered by the given Query Parameters. Each entry in the array is a full Entitlement object. If no more objects are available, the resulting array will be empty. This request should never throw an error.

Also:

* “total\_count”: Integer count of the number of Entitlement objects in the returned list.

* “url”: The query string provided in the request

* “next”: *null* Pagination not available yet

* “previous”: *null* Pagination not available yet

## Example Request

```

curl -X GET  \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/entitlements?account=cust_2234"
```

The above command returns JSON structured like this:

```

{
   "object":"List",
   "data":[
      {
         "object":"Entitlement",
         "id":"ent_1234",
         "description":"Sample Entitlement",
         "account":{
            "object":"Account",
            "id":"cust_2234",
            "vid":"07ac3365421741777c1f936480918c61aba85759"
         },
         "subscription":{
            "object":"Subscription",
            "id":"sub_1234",
            "vid":"400dc2e6524e754914d8bd40e495f05f53939ddc"
         },
         "subscription_item":{
            "object":"SubscriptionItem",
            "id":"sub_1234.1",
            "vid":"7fb1cdb3fcfa1541c5d31b70332e97cc38cfeab8"
         },
         "product":{
            "object":"Product",
            "id":"prod_1234",
            "vid":"63143baaeb00f89c796681ea1c3298a8b66f6d5e"
         },
         "starts":"2020-05-27T05:52:02-07:00",
         "ends":"2026-08-04T00:00:00-07:00",
         "active":true
      }
   ],
   "total_count":1,
   "url":"/entitlements?account=cust_2234"
}

```

**Parent topic:**[Entitlements](../topics/Entitlements)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.